mutation UpdatePart(
  $id: ID!
  $name: String
  $type: PartType
  $manufacturer: ManufacturerBelongsTo
  $specificationsRecord: UpdateSpecificationsRecordHasOne
  $activeSettingsRecord: UpdateActiveSettingsRecordBelongsTo
  $settingsRecords: UpdateSettingsRecordsHasMany
  $images: UpdatePartImagesHasMany
) {
  updatePart(
    input: {
      id: $id
      name: $name
      type: $type
      manufacturer: $manufacturer
      specificationsRecord: $specificationsRecord
      activeSettingsRecord: $activeSettingsRecord
      settingsRecords: $settingsRecords
      images: $images
    }
  ) {
    id
    name
    type
    specificationsRecord {
      id
    }
    activeSettingsRecord {
      id
    }
    settingsRecords {
      id
    }
    images {
      id
      url
    }
  }
}
